ru.yandex.clickhouse.domain

## Enum ClickHouseDataType

- java.lang.Object
- - java.lang.Enum<ClickHouseDataType>
  - - ru.yandex.clickhouse.domain.ClickHouseDataType

All Implemented Interfaces:
  Serializable, Comparable<ClickHouseDataType>

    public enum ClickHouseDataType
    extends Enum<ClickHouseDataType>

Basic ClickHouse data types.

This list is based on the list of data type families returned by `SELECT * FROM system.data_type_families`

`LowCardinality` and `Nullable` are technically data types in ClickHouse, but for the sake of this driver, we treat these data types as modifiers for the underlying base data types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AggregateFunction`
`Array`
`Date`
`DateTime`
`Decimal`
`Decimal128`
`Decimal32`
`Decimal64`
`Enum16`
`Enum8`
`FixedString`
`Float32`
`Float64`
`Int16`
`Int32`
`Int64`
`Int8`
`IntervalDay`
`IntervalHour`
`IntervalMinute`
`IntervalMonth`
`IntervalQuarter`
`IntervalSecond`
`IntervalWeek`
`IntervalYear`
`Nested`
`Nothing`
`String`
`Tuple`
`UInt16`
`UInt32`
`UInt64`
`UInt8`
`Unknown`
`UUID`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ClickHouseDataType` `fromTypeString(String typeString)`
`int` `getDefaultPrecision()`
`int` `getDefaultScale()`
`Class<?>` `getJavaClass()`
`int` `getSqlType()`
`boolean` `isSigned()`
`static ClickHouseDataType` `resolveDefaultArrayDataType(String typeName)`
`static ClickHouseDataType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IntervalYear

    public static final ClickHouseDataType IntervalYear

#### IntervalQuarter

    public static final ClickHouseDataType IntervalQuarter

#### IntervalMonth

    public static final ClickHouseDataType IntervalMonth

#### IntervalWeek

    public static final ClickHouseDataType IntervalWeek

#### IntervalDay

    public static final ClickHouseDataType IntervalDay

#### IntervalHour

    public static final ClickHouseDataType IntervalHour

#### IntervalMinute

    public static final ClickHouseDataType IntervalMinute

#### IntervalSecond

    public static final ClickHouseDataType IntervalSecond

#### UInt64

    public static final ClickHouseDataType UInt64

#### UInt32

    public static final ClickHouseDataType UInt32

#### UInt16

    public static final ClickHouseDataType UInt16

#### UInt8

    public static final ClickHouseDataType UInt8

#### Int64

    public static final ClickHouseDataType Int64

#### Int32

    public static final ClickHouseDataType Int32

#### Int16

    public static final ClickHouseDataType Int16

#### Int8

    public static final ClickHouseDataType Int8

#### Date

    public static final ClickHouseDataType Date

#### DateTime

    public static final ClickHouseDataType DateTime

#### Enum8

    public static final ClickHouseDataType Enum8

#### Enum16

    public static final ClickHouseDataType Enum16

#### Float32

    public static final ClickHouseDataType Float32

#### Float64

    public static final ClickHouseDataType Float64

#### Decimal32

    public static final ClickHouseDataType Decimal32

#### Decimal64

    public static final ClickHouseDataType Decimal64

#### Decimal128

    public static final ClickHouseDataType Decimal128

#### Decimal

    public static final ClickHouseDataType Decimal

#### UUID

    public static final ClickHouseDataType UUID

#### String

    public static final ClickHouseDataType String

#### FixedString

    public static final ClickHouseDataType FixedString

#### Nothing

    public static final ClickHouseDataType Nothing

#### Nested

    public static final ClickHouseDataType Nested

#### Tuple

    public static final ClickHouseDataType Tuple

#### Array

    public static final ClickHouseDataType Array

#### AggregateFunction

    public static final ClickHouseDataType AggregateFunction

#### Unknown

    public static final ClickHouseDataType Unknown

### Method Detail

#### values

    public static ClickHouseDataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseDataType c : ClickHouseDataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseDataType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSqlType

    public int getSqlType()

#### getJavaClass

    public Class<?> getJavaClass()

#### isSigned

    public boolean isSigned()

#### getDefaultPrecision

    public int getDefaultPrecision()

#### getDefaultScale

    public int getDefaultScale()

#### fromTypeString

    public static ClickHouseDataType fromTypeString(String typeString)

#### resolveDefaultArrayDataType

    public static ClickHouseDataType resolveDefaultArrayDataType(String typeName)